RAND(3)

NAME
rand, srand, rand_r - bad random number generator

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
void
srand(unsigned seed);
int
rand(void);
int
rand_r(unsigned *ctx);

DESCRIPTION
These interfaces are obsoleted by random(3).

The rand() function computes a sequence of pseudo-random integers in the range of 0 to RAND_MAX (as defined by the header file <stdlib.h>).

The srand() function sets its argument seed as the seed for a new sequence of pseudo-random numbers to be returned by rand(). These sequences are repeatable by calling srand() with the same seed value.

If no seed value is provided, the functions are automatically seeded with a value of 1.

rand_r() provides the same functionality as rand(). A pointer to the context value ctx must be supplied by the caller.

SEE ALSO
random(3)

STANDARDS
The rand() and srand() functions conform to ansiC.

The rand_r() function is as proposed in the POSIX.4a Draft #6 document.